function load() {
	
	//alert("ok");
	var scene= new THREE.Scene();
	var camera = new THREE.PerspectiveCamera(65, window.innerWidth / window.innerHeight, 0.01, 30);
	var aspect=window.innerWidth / window.innerHeight;
	var renderer = new THREE.WebGLRenderer({
		canvas: document.getElementById("canvasID"),
		antialias: true
	});
	
	renderer.setSize(window.innerWidth, window.innerHeight);
	renderer.setClearColor(0x000000, 1);
	renderer.shadowMapEnabled = true;
	renderer.shadowMapSoft = true;
	
	skybox=makeSkybox(10.0);
	water=makeWater2({level:-3.0, size:10.0});
	ground=makeGround({size:10.0});
	scene.add(water);
	scene.add(skybox);
	scene.fog = new THREE.FogExp2( 0xFFFFFF, 0.104 );
	scene.add(ground);
	
	//lights
	var ambientLight = new THREE.AmbientLight(0x101010);
	var pointLight = new THREE.PointLight(0xFFFFFF,1.0,100);
	pointLight.position.set(4.0,10.0,-4.0);
	var directionalLight = new THREE.DirectionalLight( 0xffffff, 0.5 );
	directionalLight.position.set( 0, 1, 0 );
	scene.add( ambientLight);
	scene.add( directionalLight );

	
	
	var render = function () {
		requestAnimationFrame(render);
		renderer.render(scene, camera);
		camera.rotation.y -= 0.2 * Math.PI / 180;
		//camera.rotation.x = -30 * Math.PI / 180;
	};
	render();
	
	//alert('end');
}