function makeGround(obj) {
	var size=0.0+obj.size;//make sure it is float
	var resolution=20;
	var maxHeight=10
	
	var geometry = new THREE.Geometry();
	
	var pointmap = new Array()
	for(var x=0.0; x<resolution; x++){
		for(var y=0.0; y<resolution; y++){
			pointmap[y*resolution+x]=new THREE.Vector3(x/(resolution-1)*size*2-size, (Math.random()*2.0)-2.0, y/(resolution-1)*size*2-size);
		}
	}
	
	for(var x=0; x<resolution; x++){
		for(var y=0; y<resolution; y++){
			geometry.vertices.push(pointmap[y*resolution+x]);
			//geometry.vertices.push(new THREE.Vector3( x*size,  y*size, z*size));
		}
	}
	for(var x=0; x+1<resolution; x++){
		for(var y=0; y+1<resolution; y++){
		var face = new THREE.Face3(y*resolution+x, y*resolution+x+1, (y+1)*resolution+x+1);
		face.normal.set( y*resolution+x+1, (y+1)*resolution+x+1,y*resolution+x).normalize();
		geometry.faces.push(face);
		face = new THREE.Face3((y+1)*resolution+x, y*resolution+x,(y+1)*resolution+x+1);
		face.normal.set(y*resolution+x,(y+1)*resolution+x+1,(y+1)*resolution+x).normalize();
		geometry.faces.push(face);
		}
	}
	
	var material = new THREE.MeshLambertMaterial({color:0x887744, side:THREE.DoubleSide});
	var mesh = new THREE.Mesh(geometry, material);
	mesh.position.set(0.0, -2.0, 0.0);
	return mesh;

}

function makeGround2(obj) {
	var size=0.0+obj.size;//make sure it is float
	var resolution=3;
	var maxHeight=10
	
	var geometry = new THREE.Geometry();
	
	var pointmap = new Array()
	var heightmap = new Array()
	for(var x=0.0; x<resolution; x++){
		for(var y=0.0; y<resolution; y++){
			heightmap[y*resolution+x]=Math.random()*10.0-4.0;
			pointmap[y*resolution+x]=new THREE.Vector3(x/(resolution-1)*size*2-size, heightmap[y*resolution+x] , y/(resolution-1)*size*2-size);
		}
	}
	
	interpolations=1
	for(var i=0; i<interpolations; i++)
	{
		heightmap=interpolation(heightmap,resolution)
		resolution=resolution+resolution-1;
		for(var x=0.0; x<resolution; x++){
			for(var y=0.0; y<resolution; y++){
				pointmap[y*resolution+x]=new THREE.Vector3(x/(resolution-1)*size*2-size, heightmap[y*resolution+x] , y/(resolution-1)*size*2-size);
			}
		}
	}
	
	for(var x=0; x<resolution; x++){
		for(var y=0; y<resolution; y++){
			geometry.vertices.push(pointmap[y*resolution+x]);
		}
	}
	for(var x=0; x+1<resolution; x++){
		for(var y=0; y+1<resolution; y++){
		var face = new THREE.Face3(y*resolution+x, y*resolution+x+1, (y+1)*resolution+x+1);
		face.normal.set(1,1,1).normalize();
		geometry.faces.push(face);
		face = new THREE.Face3((y+1)*resolution+x, y*resolution+x,(y+1)*resolution+x+1);
		face.normal.set(1,1,1).normalize();
		geometry.faces.push(face);
		}
	}
	
	var material = new THREE.MeshLambertMaterial({color:0x887744, side:THREE.DoubleSide});
	var mesh = new THREE.Mesh(geometry, material);
	mesh.position.set(0.0, -2.0, 0.0);
	return mesh;

}

function interpolation(oldArray,oldWidth) {
	newArray = new Array();
	newWidth=oldWidth+oldWidth-1//old points are posts between which we put new points
	
	//place old points in new large array
	var oldX=0;
	for(var x=0; x<newWidth; x=x+2){
		oldX++;
		var oldY=0;
		for(var y=0; y<newWidth; y=y+2){
		oldY++;
		newArray[x+newWidth*y]=oldArray[oldX+oldWidth*oldY];
		}
	}
	
	//interpolate  x rows
	for(var x=1; x+1<newWidth; x=x+2){//x is extended to put new value in every other spot
		for(var y=0; y<oldWidth; y++){
		newArray[x+newWidth*y] = newpoint(newArray[x-1+newWidth*y], newArray[x+1+newWidth*y]);
	
	}
	}
	
	//interpolate y rows
	for(var x=0; x<oldWidth; x++){
		for(var y=1; y+1<newWidth; y=y+2){//y is extended to put new value in every other spot
		newArray[x+newWidth*y] = newpoint(newArray[x+newWidth*(y-1)], newArray[x+newWidth*(y+1)]);
	
	}
	}
	//interpolate center spots
	for(var x=1; x+1<newWidth; x=x+2){
		for(var y=1; y+1<newWidth; y=y+2){//y is extended to put new value in every other spot
		var a =newArray[x-1+newWidth*(y-1)]
		var b =newArray[x-1+newWidth*(y+1)]
		var c =newArray[x+1+newWidth*(y-1)]
		var d =newArray[x+1+newWidth*(y+1)]
		newArray[x+newWidth*y] = newpoint(a,b,c,d);
	
	}
	}
	
	return newArray;
}

function newpoint(a,b) {
	var average = a/2+b/2
	var diff = a-b;
	return average+diff*Math.random(); 
}
function newpoint(a,b,c,d) {
	var average = (a+b+c+d)/4
	var diff = (a-b+c-d)/2; 
	return average+diff*Math.random();
}